Compiling
=========

ifort -i8  test.F90  -L${MKLROOT}/lib/intel64 -lmkl_intel_ilp64 -lmkl_core -lmkl_sequential -lpthread -lm -ldl

ifort -i8 test.F90 -lblas

or 

gfortran -fno-range-check -fdefault-integer-8   test.F90  -lblas

gfortran -fno-range-check -fdefault-integer-8   test.F90  -L${MKLROOT}/lib/intel64 -lmkl_intel_ilp64 -lmkl_core -lmkl_sequential -lpthread -lm -ldl



No solution on howto check proper BLAS integer setting !
